'use strict';

var _yeomanGenerator = require('yeoman-generator');

var _underscore = require('underscore.string');

module.exports = _yeomanGenerator.Base.extend({
  initializing: function initializing() {
    this.composeWith('license', {}, {
      local: require.resolve('generator-license')
    });
  },
  prompting: function prompting() {
    var _this = this;

    return this.prompt([{
      type: 'input',
      name: 'pluginname',
      message: 'Plugin Name',
      default: (0, _underscore.titleize)(this.appname)
    }, {
      type: 'input',
      name: 'description',
      message: 'One-line plugin description'
    }]).then(function (answers) {
      _this.data = answers;
      _this.data.classname = (0, _underscore.camelize)(_this.data.pluginname);
      _this.data.name = (0, _underscore.slugify)(_this.data.pluginname);

      _this.log('The following questions relate to which license you want to use.');
    });
  },
  writing: function writing() {
    this.fs.copyTpl(this.templatePath('src/main.js'), this.destinationPath('src/main.js'), this.data);
    this.fs.copyTpl(this.templatePath('_package.json'), this.destinationPath('package.json'), this.data);

    this.composeWith('extplugin:readme', {
      options: this.data
    }, {
      local: require.resolve('../readme')
    });
  },
  install: function install() {
    this.npmInstall();
  }
});