'use strict';

var _yeomanGenerator = require('yeoman-generator');

var _underscore = require('underscore.string');

module.exports = _yeomanGenerator.Base.extend({
  initializing: function initializing() {
    this.option('pluginname', {
      type: String,
      required: true
    });
    this.option('name', {
      type: String,
      required: false,
      defaults: null
    });
    this.option('description', {
      type: String,
      required: false,
      defaults: ''
    });
    this.option('license', {
      type: String,
      required: false,
      defaults: 'LICENSE'
    });
  },
  writing: function writing() {
    var pkg = this.fs.readJSON(this.destinationPath('package.json'), {});
    if (pkg.license) {
      this.options.license = pkg.license;
    }
    this.fs.copyTpl(this.templatePath('README.md'), this.destinationPath('README.md'), this.options);
  },
  install: function install() {
    this.npmInstall();
  }
});